import { FC } from 'react';
import { CaptionElementProps, NavbarElementProps, WeekdayElementProps } from 'react-day-picker';
interface CustomNavbarProps extends NavbarElementProps {
    selectedMonth: Date;
    setSelectedMonth: (d: Date) => void;
}
export declare const MONTHS: {
    en: string[];
};
export declare const CustomNavbar: FC<CustomNavbarProps>;
interface CustomDayCellProps {
    day: Date;
}
export declare const CustomDayCell: FC<CustomDayCellProps>;
export declare const CustomCaptionElement: FC<CaptionElementProps>;
export declare const CustomWeekdayElement: FC<WeekdayElementProps>;
export {};
