import { FC } from 'react';
declare type StartWorkProps = {
    startDate: string;
    t: {
        dateAvailable: string;
    };
};
export declare const StartWork: FC<StartWorkProps>;
declare type TagsProps = {
    tags: string[];
    length: number;
};
export declare const Tags: FC<TagsProps>;
declare type JobTypeProps = {
    type: string;
};
export declare const JobType: FC<JobTypeProps>;
declare type ExperienceProps = {
    experience: number;
    t: {
        yearsExperience: string;
    };
};
export declare const JobExperience: FC<ExperienceProps>;
declare type LocationProps = {
    location: {
        state: string;
        city: string;
    };
};
export declare const LocationPreview: FC<LocationProps>;
declare type SalaryProps = {
    salary: {
        from: number;
        to: number;
        type: string;
    };
};
export declare const SalaryPreview: FC<SalaryProps>;
export {};
