import { FC } from 'react';
export declare type LocationFieldType = {
    country?: string;
    state?: string;
    city: string;
    address1?: string;
    address2?: string;
    zip?: string;
};
declare type Props = {
    onChange: (locations: LocationFieldType[]) => void;
    value: LocationFieldType[];
    multipleLocations?: boolean;
    t: {
        addLocation: string;
        addLocationPlaceholder: string;
        locationTitle: string;
    };
    withoutLabel?: boolean;
    errors?: string[];
    removable?: boolean;
};
declare const Location: FC<Props>;
export default Location;
