import { FC } from 'react';
declare type SelectorType = {
    label: string;
    value: string;
    defaultChecked?: boolean;
};
export declare type SelectorGroupVariantType = 'combined' | 'separated' | 'separated-outlined';
declare type Props = {
    id: string;
    data: SelectorType[];
    onChange: (value: string) => void;
    value?: string;
    variant?: SelectorGroupVariantType;
    size?: 's' | 'l';
};
declare const SelectorGroup: FC<Props>;
export default SelectorGroup;
