import { FC, MouseEvent } from 'react';
export declare type ButtonProps = {
    size: 's' | 'l';
    text?: string;
    variant?: 'contained' | 'outlined' | 'accepted';
    className?: string;
    disabled?: boolean;
    icon?: string;
    hint?: string;
    onClick?: (event: MouseEvent) => void;
    loading?: boolean;
};
declare const Button: FC<ButtonProps>;
export default Button;
