import { FC, ChangeEvent } from 'react';
declare type Props = {
    id: string;
    name: string;
    label: string;
    value: string;
    checked: boolean;
    onChange: (e: ChangeEvent<HTMLInputElement>) => void;
    description?: string;
    disableOpacity?: boolean;
    error?: string;
};
declare const RadioButton: FC<Props>;
export default RadioButton;
