import { FC } from 'react';
import { TimesTableType } from '../TimePicker';
interface ScreeningsModalProps {
    onCloseModal: () => void;
    availableDates: AvailableDateType[];
    onChange: (date: Date, description: string) => void;
    isLoading: boolean;
    t: {
        title: string;
        description: string;
        fieldDescriptionTitle: string;
        fieldDescriptionPlaceholder: string;
        confirmButton: string;
        backButton: string;
    };
}
export declare type AvailableDateType = {
    date: Date;
    times: TimesTableType;
};
declare const ScreeningsModal: FC<ScreeningsModalProps>;
export default ScreeningsModal;
