import { FC } from 'react';
declare const sortOptions: readonly ["date", "request", "salary-desc", "salary-asc"];
export declare type SortTypes = typeof sortOptions[number];
declare type Props = {
    onChange: (value: SortTypes) => void;
    value: SortTypes;
    variant?: 'outlined' | 'empty';
    dropdownPosition?: 'left' | 'right';
    t: {
        date: string;
        request: string;
        'salary-desc': string;
        'salary-asc': string;
    };
};
declare const SortButton: FC<Props>;
export default SortButton;
