import { FC } from 'react';
export declare type TimeItemType = {
    disabled?: boolean;
    date: Date;
};
export declare type TimesTableType = {
    morning: Date[];
    afternoon: Date[];
    evening: Date[];
};
interface Props {
    availableTimes: TimesTableType;
    selectedTime?: Date;
    onChange: (day: Date) => void;
}
declare const TimePicker: FC<Props>;
export default TimePicker;
